#!/bin/bash

usage(){
echo "
Written by Brian Bushnell
Last modified January 21, 2020

Description:  Counts the rate of triangle reads in a file
generated by IceCreamMaker with custom headers.

Usage:  icecreamgrader.sh in=<input file>

Standard parameters:
in=<file>       Reads to grade.

Please contact Brian Bushnell at bbushnell@lbl.gov if you encounter any problems.
"
}

#This block allows symlinked shellscripts to correctly set classpath.
pushd . > /dev/null
DIR=/usr/bin/
while [ -h "$DIR" ]; do
  cd "$(dirname "$DIR")"
  DIR=/usr/bin/
done
cd "$(dirname "$DIR")"
DIR=/usr/bin/
popd > /dev/null

#DIR=/usr/bin/
CP=/usr/share/java/bbmap/current/

z="-Xmx200m"
z2="-Xms200m"
set=0

if [ -z "$1" ] || [[ $1 == -h ]] || [[ $1 == --help ]]; then
	usage
	exit
fi

calcXmx () {
	source "$DIR""/calcmem.sh"
	setEnvironment
	parseXmx "$@"
}
calcXmx "$@"

icecreamgrader() {
	local CMD="java $EA $EOOM $z -cp $CP icecream.IceCreamGrader $@"
	echo $CMD >&2
	eval $CMD
}

icecreamgrader "$@"
